Bug 115153 - FILEOPEN: RTF: Incorrect vertical position of lines (follow-up)
Summary: FILEOPEN: RTF: Incorrect vertical position of lines (follow-up)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl
URL:
Whiteboard: target:6.1.0 target:6.0.1
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2018-01-22 15:43 UTC by Xisco Faulí
Modified: 2018-01-27 19:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.1 (72.04 KB, image/png)
2018-01-22 15:43 UTC, Xisco Faulí
Details
sample1 (18.08 KB, application/rtf)
2018-01-22 15:48 UTC, Xisco Faulí
Details
sample 2 (43.58 KB, application/rtf)
2018-01-22 15:48 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-01-22 15:43:45 UTC
Created attachment 139263 [details]
comparison MSO 2010 and LibreOffice 6.1

This is a follow-up of bug 114303
After another run of office-interoperability-tools, I found there're still some files with incorrect vertical position of lines.

Steps to reproduce:
1. Open attachment 66321 [details] from bug 54257

-> Some lines are displayed on top of the document. See attached image

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: de1bb0878fc7d7eb6071ec94d770712648013075
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-01-22 15:46:54 UTC
attachment 52928 [details] from bug 42407 and attachment 54612 [details] from bug 54612 are also affected
Comment 2 Xisco Faulí 2018-01-22 15:48:14 UTC
Created attachment 139264 [details]
sample1

another document affected
Comment 3 Xisco Faulí 2018-01-22 15:48:49 UTC
Created attachment 139265 [details]
sample 2

another document affected v2
Comment 4 Xisco Faulí 2018-01-22 15:49:23 UTC
Regression introduced by:

author	Michael Stahl <mstahl@redhat.com>	2017-11-02 22:13:32 +0100
committer	Michael Stahl <mstahl@redhat.com>	2017-11-02 22:35:31 +0100
commit	c79467ba954987f1d239c594c1e1b3af3f5515f6 (patch)
tree	5138f2c58869a486619bdac51814c0093a5c655f
parent	9a236714e539c772cad7b56caf21dc12b79e77df (diff)
sw: ODF import: default as-char shapes to vertical-pos="top"

Bisected with: bibisect-linux64-6.0

Adding Cc: to Michael Stahl
Comment 5 Commit Notification 2018-01-24 16:10:31 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc16cc0492ba96007078cc285fee1a8d03f40d55

tdf#115153 writerfilter: RTF import: fix vert orient of Word 6 shapes

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl 2018-01-24 16:10:54 UTC
okay this one is for Word 6 drawing objects "\do" which are inserted from a different function.

fixed on master
Comment 7 Commit Notification 2018-01-24 16:22:48 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7f12d8fd7493a7201ae5fd97e80e0296538f136

tdf#115153 the missing test document

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-01-25 14:55:29 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 5cb225b0b3dbb55fd44899b1fb16bdcfeb866849
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

Thanks for the fix Michael !!
Comment 9 Commit Notification 2018-01-27 19:59:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8932ada4d8841499aa809f6b29efc1402fe95c1e&h=libreoffice-6-0

tdf#115153 writerfilter: RTF import: fix vert orient of Word 6 shapes

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.